package be.iminds.ilabt.jfed.espec.util;

import javax.annotation.Nonnull;

public interface UploadProgressTracker {
    interface ChangeListener {
        void onChanged(@Nonnull UploadProgressTracker source);
    }

    void addChangeListener(@Nonnull UploadProgressTracker.ChangeListener l);
    void removeChangeListener(@Nonnull UploadProgressTracker.ChangeListener l);

    void setCurrentBytes(int currentProgress);
    void setTotalBytes(int total);

    int getCurrentBytes();
    int getTotalBytes();

    double getPercentProgress();

    boolean isTotalBytesKnown();
    boolean isFinished();
}
